<?xml version="1.0" encoding="UTF-8"?>
<!--
This file is part of the Scilab time frequency toolbox.
This file must be used under the terms of the  terms of the GNU General Public License 
as published by the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Copyright (c) CNRS - France 1999.
-->


<refentry xml:id="kaytth" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:scilab="http://www.scilab.org"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>kaytth</refname><refpurpose>Kay-Tretter filter computation.</refpurpose>
  </refnamediv>



<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   	H=kaytth(length)
   </synopsis>
</refsynopsisdiv>
<refsection>
   <title>Parameters</title>
   <variablelist>
     <varlistentry><term>length:</term>
      <listitem><para>a positive integer: the filter length.</para></listitem></varlistentry>
   </variablelist>
   <variablelist>
     <varlistentry><term>H:</term>
      <listitem><para>a row vector: the filter coefficients.</para></listitem></varlistentry>
   </variablelist>


 </refsection>
 <refsection>
    <title>Examples</title>
    <programlisting role="example"><![CDATA[
    clf;plot(kaytth(128))
    ]]></programlisting>
   <scilab:image><![CDATA[
    clf;plot(kaytth(128))
    ]]></scilab:image>
  </refsection>
<refsection>
   <title>See also</title>
   <simplelist type="inline">
   <member><link linkend="instfreq">instfreq</link></member>
   </simplelist>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>H. Nahrstaedt - Aug 2010</member>
   <member>	F. Auger, March 1994.</member>
   </simplelist>
</refsection>
</refentry>
